# Get resource state

> Media API · Live Events

```http
GET https://app.mk.io/api/v1/projects/{project_name}/media/liveEvents/{event_name}/liveOutputs/{output_name}/state
```

Get the internal state of the resource. The state value depends on the resource type. For details about the potential states for each resource type, see [our resource state docs](https://docs.mediakind.com/mkio/reference/resource-states).

RBAC Capability Required: `ams.liveeventoutput.get`

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Path parameters

| Name           | Type   | Required | Description |  
| ---------------| ------ | -------- | ------------ |  
| `project_name`| string | Yes      | —            |  
| `event_name`  | string | Yes      | —            |  
| `output_name` | string | Yes      | —            |

## Example request

```bash
curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/media/liveEvents/{event_name}/liveOutputs/{output_name}/state" \
  -H "Authorization: Bearer <token>"
```

## Responses

### 200 — OK

- `status` · object · **Required** — The status of the resource.  
  - `state` · string · **Required** — The state of the resource. The value depends on the resource type.

Example:

```json
{
  "status": {
    "state": "string"
  }
}
```

### 400 — Bad Request

- `error` · object · **Required** — Pertinent information about the error  
  - `code` · string · **Required** — The error code.  
  - `detail` · string · **Required** — The error message.  
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.  
    - `[any key]` · any — map of additional properties  
- `ref` · string · **Required** — A reference to the request that caused the error.  
- `status` · integer · **Required** — The HTTP status code

### 401 — Unauthorized

### 403 — Forbidden

### 404 — Not Found

### 429 — Too Many Requests

### 500 — Internal Server Error

---

Source spec: `media-api` · operationId: `[get]_/api/v1/projects/{project_name}/media/liveEvents/{event_name}/liveOutputs/{output_name}/state`
